#include <cstring>
#include "brute_force.h"

void evaluate_gravity(int n, const double *mass, const Vec2d *x, Vec2d *accel,
                      const double gravitational_constant)
{
   // first zero out accelerations
   std::memset((void*)accel, 0, n*sizeof(Vec2d));
   // then add every force pair
   for(int i=0; i<n-1; ++i){
      for(int j=i+1; j<n; ++j){
         Vec2d xij=x[i]-x[j];
         const double d=mag2(xij);
         Vec2d aij=(gravitational_constant/(d*sqrt(d)))*xij;
         accel[i]-=mass[j]*aij;
         accel[j]+=mass[i]*aij;
      }
   }
}

