#ifndef BRUTE_FORCE_H
#define BRUTE_FORCE_H

#include "vec.h"

// This is just the O(n^2) obvious algorithm for evaluating accelerations due to gravity at all mass points.
// Default gravitational constant is in SI units: N m^2/kg^2
void evaluate_gravity(int n, const double *mass, const Vec2d *x, Vec2d *accel,
                      const double gravitational_constant=6.67428e-11);

#endif
